Subject: Re: Reordering lines in "git-rebase -i" task sheet

From: Andy Parkins <[email-masked]>
Date: Mon, 26 Nov 2007 13:14:02 +0000

Andy Parkins wrote:

> I'm not convinced that this is a great idea.

I've just tried it and (for me) I don't like it.

 - It's now harder to find the commits I want to edit, the cursor still
   doesn't start in the right place, but now I can't get to the right place
   quickly (the right place being the bottom of the list) because the
   interesting bits are neither at the top nor at the bottom
 - vim no longer automatically loads a reasonable syntax highlighting mode
   making the comment lines appear the same as the pick lines.
 - On a long rebase list the important message explaining what I'm looking
   at isn't on screen.

Andy
-- 
Dr Andy Parkins, M Eng (hons), MIET
[email-masked]